//
//  RiiiverConstants.swift
//  qcc5100.sample
//

import Foundation

struct RiiiverConstants {
    static var deviceIds: [String] {
        return ["5f1e70a7c9009161a20be5f0_cFha74Gn"]
    }
    
    static var forcedDownloadAppletIds: [String] {
        return [
            "6656ac9c16daa40feb7b04d6", // Weather Information
            "6656c44c72ebfb6707e9dbf4", // Flight Information
            "6656c3fd16daa40feb7b04d9", // Sprots Score
            "665d902addd62c0c8118e636", // Send Gmail
            "665e6c232fe9300c36456bc4"  // Get event from Google Calendar
        ]
    }

    static var riiiverOAuthUrl: String {
        return "https://builder.developer.riiiver.com/service_oauth/"
    }
}
