//
//  RiiiverUserEntity.swift
//  qcc5100.sample
//

import Foundation
import RiiiverSDK

class RiiiverAppletsEntity: ObservableObject {
    @Published var myApplets: [ERApplet]?
    @Published var slateAppletIds: Dictionary<CommandReceiverCommand, String?> = [:]
    
    static let sharedInstance = RiiiverAppletsEntity()
    
    private init() {}
    
    func clearMyApplets() {
        myApplets = nil
    }
}
